Documentation IndexFetch the complete documentation index at: /docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Requires write:communications.
write:communications
cURL
curl --request PATCH \ --url https://www.carstoragesoftware.com/api/v1/communication-messages/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "body": "<string>", "subject": "<string>", "htmlBody": "<string>", "textBody": "<string>", "status": "<string>" } '
const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({ body: JSON.stringify('<string>'), subject: '<string>', htmlBody: '<string>', textBody: '<string>', status: '<string>' }) }; fetch('https://www.carstoragesoftware.com/api/v1/communication-messages/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://www.carstoragesoftware.com/api/v1/communication-messages/{id}" payload = { "body": "<string>", "subject": "<string>", "htmlBody": "<string>", "textBody": "<string>", "status": "<string>" } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "teamId": "<string>", "threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "channel": "<string>", "direction": "<string>", "from": "<string>", "to": "<string>", "body": "<string>", "subject": "<string>", "htmlBody": "<string>", "textBody": "<string>", "mediaUrls": [ "<string>" ], "status": "<string>", "provider": "<string>", "providerMessageSid": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } }
{ "error": "<string>", "code": "<string>", "details": null }
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Authorization: Bearer <key>
x-api-key
Updated.
Show child attributes
Was this page helpful?